---
search:
  tags:
    - agent-sessions
    - DELETE
seo:
  description: >-
    Delete agent spend cap. Reference for the DELETE
    /workspaces/{organizationId}/agent/spend-caps/{agentId} endpoint in the Pile
    API.
sidebar:
  label: Delete agent spend cap
  badge: DELETE
title: Delete agent spend cap
type: openapi-operation
---
`DELETE /workspaces/{organizationId}/agent/spend-caps/{agentId}`

**Responses**

- `200` — Spend caps deleted for the agent type
- `404` — No caps configured for this agent type

Response example, 200:

```json
{
  "ok": true
}
```
